.ks-cod-modal {
    display: none;
    position: fixed;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    padding: 20px;
    background-color: #fff;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    text-align: center;
    z-index: 999;
    max-height: 90vh;
    overflow-y: auto;
    -webkit-overflow-scrolling: touch;
}
@media (max-width: 768px) {
    .ks-cod-modal {
        top: 5vh;
        left: 50%;
        transform: translateX(-50%);
        width: calc(100% - 2vh);
        max-height: 90vh;
        overflow-y: auto;
    }
}
.ks-cod-overlay {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.5);
    z-index: 998;
}
.ks-cod-modal .btn-primary.ks-yes {
    background-color: green;
    color: white;
    border-color: green;
    margin-bottom: 20px;
}
.ks-cod-modal .btn-primary.ks-no {
    background-color: red;
    color: white;
    border-color: red;
    margin-bottom: 20px;
}
.ks-cod-modal p {
    font-size: 20px;
    font-weight: 500;
}